# -*- encoding: utf-8 -*-

import pytest

from lib.hardware import Hardware

class TestHardware:
    def test_parse_lsusb_line(self):
        line = "Bus 006 Device 035: ID 0bda:2838 Realtek Semiconductor Corp. "\
               "RTL2838 DVB-T"

        dev = Hardware.parse_lsusb_line(line)

        assert dev["id"] == "0bda:2838"
        assert dev["name"] == "Realtek Semiconductor Corp. RTL2838 DVB-T"
        assert dev["bus"] == "006"
        assert dev["device"] == "035"

    def test_supported_device(self):
        not_supported_device = {"id": "ffff:ffff"}
        supported_device = {"id": "0bda:2838"}
        assert Hardware.supported_device(not_supported_device) \
                == False
        assert Hardware.supported_device(supported_device) \
                == True

    def test_supported_hardware(self):
        assert type(Hardware.SUPPORTED_HARDWARE) == dict
        assert len(Hardware.SUPPORTED_HARDWARE) != 0
